<ng-container *transloco="let t">
  <h2 mat-dialog-title class="primary-title dialog-header-spacing">{{t('clearances.product_data')}}</h2>
  <form
    [formGroup]="clearanceItemForm"
    (ngSubmit)="onSubmit()">
    <mat-dialog-content class="mat-typography dialog-content-text-color content-padding-top">
      <!-- Product name -->
      <div class="row-container">
        <mat-form-field class="grow-one">
          <mat-label>{{t('clearances.product_name')}}</mat-label>
          <input matInput type="text" formControlName="product_name">
          <mat-error *ngIf="productName.hasError('required')">
            {{t('clearances.product_name')}}{{t('general_forms.required')}}
          </mat-error>
        </mat-form-field>
      </div>
      <!-- Release Date -->
      <div class="date-container">
        <mat-form-field>
          <mat-label>{{t('clearances.release_date_precision')}}</mat-label>
          <mat-select
            formControlName="product_release_at_precision"
            (selectionChange)="onReleasePrecisionChanged()">
            <mat-option
              *ngFor="let precision of DATE_PRECISION_ARRAY"
              [value]="precision">
              {{'clearances_release_date_precision.' + precision | transloco}}
            </mat-option>
          </mat-select>
          <mat-error *ngIf="productReleaseAtPrecision.hasError('required')">
            {{t('clearances.release_date_precision')}}{{t('general_forms.required')}}
          </mat-error>
        </mat-form-field>
        <mat-form-field
          *ngIf="productReleaseAtPrecision.value
          && !(productReleaseAtPrecision.value === DATE_PRECISION.UNKNOWN
          || productReleaseAtPrecision.value === DATE_PRECISION.TBA)">
          <mat-label>{{t('clearances.release_date')}}</mat-label>
          <input matInput [matDatepicker]="picker" formControlName="product_release_at">
          <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
          <mat-datepicker
            #picker
            color="primary"
            startView="multi-year"
            (monthSelected)="onMonthSelected($event)"
            (yearSelected)="onYearSelected($event)">
          </mat-datepicker>
          <mat-error *ngIf="productReleaseAt.hasError('required')">
            {{t('clearances.release_date')}}{{t('general_forms.required')}}
          </mat-error>
        </mat-form-field>
      </div>
      <!-- Description -->
      <ng-container formGroupName="description">
        <div class="row-container">
          <mat-form-field class="grow-one">
            <mat-label>{{t('clearances.description')}}</mat-label>
            <textarea matInput formControlName="EN"></textarea>
            <mat-error *ngIf="description.controls.EN.hasError('required')">
              {{t('clearances.description_english')}}{{t('general_forms.required')}}
            </mat-error>
          </mat-form-field>
        </div>
      </ng-container>
      <!-- References -->
      <div class="row-container align-center text-padding reference-padding">
        <div>{{t('clearances.info_reference')}}:</div>
      </div>
      <div class="row-container reference-button-padding">
        <button
          mat-flat-button
          color="primary"
          class="round-button"
          (click)="addContent($event)">
          <mat-icon>add</mat-icon>
          <span>Add Reference</span>
        </button>
      </div>
      <div class="row-container padding-bottom">
        <div
          class="column-container grow-one"
          formArrayName="info_source_content">
          <div
            *ngFor="let content of infoSourceContent.controls; index as i"
            [formGroupName]="i"
            class="row-container column-gap">
            <ng-container formGroupName="label">
              <mat-form-field class="reference-label">
                <mat-label>{{t('clearances.info_reference_label')}}</mat-label>
                <input matInput type="text" formControlName="EN">
              </mat-form-field>
            </ng-container>
            <mat-form-field class="reference-url">
              <mat-label>{{t('clearances.info_reference_url')}}</mat-label>
              <input matInput type="url" formControlName="reference_url">
              <mat-error *ngIf="content.controls.reference_url.hasError('required')">
                {{t('clearances.info_reference_url')}}{{t('general_forms.required')}}
              </mat-error>
              <mat-error *ngIf="content.controls.reference_url.hasError('url')">
                {{t('general_forms.url_invalid')}}
              </mat-error>
            </mat-form-field>
            <button
              mat-icon-button
              color="warn"
              (click)="removeContent(i)">
              <mat-icon>delete</mat-icon>
            </button>
          </div>
        </div>
      </div>
      <!-- Tags -->
      <div class="row-container">
        <app-portal-app-filter-bar
          class="grow-one"
          filterCategoriesLabel="clearances.clearances_tag_categories"
          filterOptionsLabel="clearances.clearances_tag_options"
          [filters]="data.clearanceTags"
          [activeFilters]="activeTags"
          (filtersSelected)="onSelectedFiltersChanged($event)">
        </app-portal-app-filter-bar>
      </div>
      <!-- Missing tags info -->
      <div class="row-container text-padding">
        <span>{{t('clearances.missing_tags_info')}}: <a href="mailto:dev-support@empaia.org">dev-support&#64;empaia.org</a></span>
      </div>
    </mat-dialog-content>
    <mat-divider></mat-divider>
    <div class="button-container">
      <button
        mat-stroked-button
        color="warn"
        class="round-button stroked-button-border-color"
        [mat-dialog-close]="undefined">
        {{t('general_forms.cancel')}}
      </button>
      <button
        mat-flat-button
        color="primary"
        class="round-button"
        type="submit">
        {{t('general_forms.save')}}
      </button>
    </div>
  </form>
</ng-container>
